<?php

namespace common\logic\User\UserGroup\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\User\UserGroup\Model\UserGroup;
use common\logic\User\UserGroup\Service\UserGroupDefinition;
use yii\db\ActiveQuery;

class UserGroupRepositoryQuery extends AbstractRepositoryQuery
{
    protected UserGroupDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(UserGroupDefinition::class);
    }

    public function filterByName(string $name): self
    {
        $this->andWhere(['name' => $name]);
        return $this;
    }
}